// 
// WXLink Solar System
//
// SwitchDoc Labs - 08/08/2016
// 
//
// WXLink outside Solar
//


//include <write.scad>
//include <joints.scad>



module solartop()
{
difference()
{
    union()
    {
cube([30,70,30]);
        translate([0,-10,0])
        cube([30,90,2]);
    }


rotate([0,45,0])
translate([0,-5,10])
    cube([3,90,40]);
    
    translate([-5,-5,20])
    cube([40,80,30]);
    
    rotate([0,45,0])
translate([-15,-5,5])
    #cube([10,90,40]);
    
    translate([19,-5,15])
    #cube([15,90,6]);
    
    // screw holes
    translate([5,-5,-10])
    #cylinder(h=15, r=2.8);
    
        // screw holes
    translate([25,-5,-10])
    #cylinder(h=15, r=2.8);
    
    
        // screw holes
    translate([5,75,-10])
    #cylinder(h=15, r=2.8);
    
        // screw holes
    translate([25,75,-10])
    #cylinder(h=15, r=2.8);
    
    // top screw hole
       translate([22,35,-10])
    #cylinder(h=30, r=2.8);

    // 45 degree cut for solar bracket
    
        rotate([0,-45,0])
    translate([20,35-10.5,-50])
    #cube([21,21,50]);
}

}


   module prism(l, w, h){
       polyhedron(
               points=[[0,0,0], [l,0,0], [l,w,0], [0,w,0], [0,w,h], [l,w,h]],
               faces=[[0,1,2,3],[5,4,3,2],[0,4,5,1],[0,3,4],[5,2,1]]
               );
 /*      
       // preview unfolded (do not include in your function
       z = 0.08;
       separation = 2;
       border = .2;
       translate([0,w+separation,0])
           cube([l,w,z]);
       translate([0,w+separation+w+border,0])
           cube([l,h,z]);
       translate([0,w+separation+w+border+h+border,0])
           cube([l,sqrt(w*w+h*h),z]);
       translate([l+border,w+separation+w+border+h+border,0])
           polyhedron(
                   points=[[0,0,0],[h,0,0],[0,sqrt(w*w+h*h),0], [0,0,z],[h,0,z],[0,sqrt(w*w+h*h),z]],
                   faces=[[0,1,2], [3,5,4], [0,3,4,1], [1,4,5,2], [2,5,3,0]]
                   );
       translate([0-border,w+separation+w+border+h+border,0])
           polyhedron(
                   points=[[0,0,0],[0-h,0,0],[0,sqrt(w*w+h*h),0], [0,0,z],[0-h,0,z],[0,sqrt(w*w+h*h),z]],
                   faces=[[1,0,2],[5,3,4],[0,1,4,3],[1,2,5,4],[2,0,3,5]]
                   );
                   */
       }
   

module solarbracket()
{

//slot end
union()
    {
// block
    difference()
    {
    translate([130,-45+10,0])
    cube([15,90,30]);
        
    translate([100,-45 +9,15])
    #cube([40,92,5]);
    }
    translate([14,0,0])
difference()
    {
        cube([117,20,15]);    
        
            // top screw hole
        rotate([0,45,0])
       translate([-5,10,-15])
    #cylinder(h=70, r=2.8);
        
            // top screw hole
        rotate([0,45,0])
       translate([-5.5,10,11])
    #cylinder(h=20, r=4.8);

    }
    
    translate([1.6,0,-0])
    rotate([0,0,0])
   difference()
    {

    rotate([90,0,90])
    translate([2.5,-15, 14-2])
    prism(15,15,15);
        
        
    translate([-16,0,0]) 
    rotate([0,45,0])
    #cube([40,20,20]);
        
    }
}
    
}






//solartop();


translate([-100,0,0])
union()
{
    
    


rotate([0,90,0])
translate([-145,30,50])
solarbracket();



solartop();
}

